/*
 * Vin.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.api.result;

import org.curewallet.lib.json.JsonMember;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 1.0
 */
public class Vin {

	@JsonMember(name="txid")
	private String txid = null;
	@JsonMember(name="vout")
	private Long vout = null;
	@JsonMember(name="scriptSig")
	private ScriptSig scriptSig = null;
	@JsonMember(name="sequence")
	private Long sequence = null;
	@JsonMember(name="coinbase")
	private String coinbase = null;
	
	/**
	 * 
	 * @since 1.0
	 */
	public Vin() {
		// TODO 自動生成されたコンストラクター・スタブ
	}

	/**
	 * @return txid
	 * @since 1.0
	 */
	public String getTxid() {
		return txid;
	}

	/**
	 * @param txid セットする txid
	 * @since 1.0
	 */
	public void setTxid(String txid) {
		this.txid = txid;
	}

	/**
	 * @return vout
	 * @since 1.0
	 */
	public Long getVout() {
		return vout;
	}

	/**
	 * @param vout セットする vout
	 * @since 1.0
	 */
	public void setVout(Long vout) {
		this.vout = vout;
	}

	/**
	 * @return scriptSig
	 * @since 1.0
	 */
	public ScriptSig getScriptSig() {
		return scriptSig;
	}

	/**
	 * @param scriptSig セットする scriptSig
	 * @since 1.0
	 */
	public void setScriptSig(ScriptSig scriptSig) {
		this.scriptSig = scriptSig;
	}

	/**
	 * @return sequence
	 * @since 1.0
	 */
	public Long getSequence() {
		return sequence;
	}

	/**
	 * @param sequence セットする sequence
	 * @since 1.0
	 */
	public void setSequence(Long sequence) {
		this.sequence = sequence;
	}

	/**
	 * @return coinbase
	 * @since 1.0
	 */
	public String getCoinbase() {
		return coinbase;
	}

	/**
	 * @param coinbase セットする coinbase
	 * @since 1.0
	 */
	public void setCoinbase(String coinbase) {
		this.coinbase = coinbase;
	}
	
	

}
