/*
 * JsonRPCClient.java
 *
 * Copyright 2014 the curewallet.org.
 * http://www.curewallet.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.curewallet.lib.jsonrpc;


import org.curewallet.lib.json.JsonObject;

/**
 * 
 * 
 * @author Nezumi Kozo
 * @since 
 */
public interface JsonRPCClient {


	/**
	 * 
	 * @param requestObject
	 * @param responseObjectClass
	 * @return
	 * @throws JsonRPCException
	 * @since 1.0
	 */
	public <T1, T2> T2 call(T1 requestObject, Class<? extends T2> responseObjectClass) throws JsonRPCException;

	/**
	 * 
	 * @param requestObject
	 * @return
	 * @throws JsonRPCException
	 * @since 1.0
	 */
	public <T1> JsonObject call(T1 requestObject) throws JsonRPCException;

	
	/**
	 * 
	 * @throws JsonRPCException
	 * @since 1.0
	 */
	public void close() throws JsonRPCException;
}
